"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGCircleInstance = void 0;
const SVGInstance_js_1 = require("../../browser/instance/SVGInstance.js");
//-- Mixins
const index_js_1 = require("../mixins/index.js");
// Presentation attributes
const color_js_1 = require("../mixins/presentation-attributes/color.js");
const display_js_1 = require("../mixins/presentation-attributes/display.js");
const fill_js_1 = require("../mixins/presentation-attributes/fill.js");
const opacity_js_1 = require("../mixins/presentation-attributes/opacity.js");
const stroke_js_1 = require("../mixins/presentation-attributes/stroke.js");
const vectorEffect_js_1 = require("../mixins/presentation-attributes/vectorEffect.js");
const visibility_js_1 = require("../mixins/presentation-attributes/visibility.js");
// Attributes
const cxcyPositioning_js_1 = require("../mixins/attributes/cxcyPositioning.js");
//-- Class
class SVGCircleInstance extends SVGInstance_js_1.SVGInstance {
    constructor(_parent) {
        super("circle", _parent);
    }
    radius(radius) {
        if (typeof radius === "string" || typeof radius === "number") {
            this.attr("r", radius);
            return this;
        }
        return this.attr("r");
    }
}
exports.SVGCircleInstance = SVGCircleInstance;
(0, index_js_1.applyMixins)(SVGCircleInstance, [
    color_js_1.Color,
    display_js_1.Display,
    fill_js_1.Fill,
    opacity_js_1.Opacity,
    stroke_js_1.Stroke,
    vectorEffect_js_1.VectorEffect,
    visibility_js_1.Visibility,
    cxcyPositioning_js_1.CXCYPositioning
]);
//# sourceMappingURL=SVGCircleInstance.js.map