"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGLinearGradientInstance = void 0;
const SVGInstance_js_1 = require("../../browser/instance/SVGInstance.js");
//-- Mixins
const index_js_1 = require("../mixins/index.js");
// Permitted content
const gradientStopInstances_js_1 = require("../mixins/permitted-content/gradientStopInstances.js");
// Presentation attributes
const color_js_1 = require("../mixins/presentation-attributes/color.js");
const display_js_1 = require("../mixins/presentation-attributes/display.js");
const fill_js_1 = require("../mixins/presentation-attributes/fill.js");
const opacity_js_1 = require("../mixins/presentation-attributes/opacity.js");
const stroke_js_1 = require("../mixins/presentation-attributes/stroke.js");
const vectorEffect_js_1 = require("../mixins/presentation-attributes/vectorEffect.js");
const visibility_js_1 = require("../mixins/presentation-attributes/visibility.js");
//-- Class
class SVGLinearGradientInstance extends SVGInstance_js_1.SVGInstance {
    constructor(_parent) {
        super("linearGradient", _parent);
    }
}
exports.SVGLinearGradientInstance = SVGLinearGradientInstance;
(0, index_js_1.applyMixins)(SVGLinearGradientInstance, [
    gradientStopInstances_js_1.GradientStopInstances,
    color_js_1.Color,
    display_js_1.Display,
    fill_js_1.Fill,
    opacity_js_1.Opacity,
    stroke_js_1.Stroke,
    vectorEffect_js_1.VectorEffect,
    visibility_js_1.Visibility
]);
//# sourceMappingURL=SVGLinearGradientInstance.js.map