import { SVGSVGInstance } from "../../shared/instances/SVGSVGInstance.js";
export declare class SVGInstance {
    element: SVGElement;
    childInstances: Array<SVGInstance>;
    protected _parent?: SVGInstance;
    constructor(tagName: keyof SVGElementTagNameMap, _parent?: SVGInstance);
    get parent(): SVGInstance | undefined;
    get root(): SVGSVGInstance | undefined;
    appendInstance(instance: SVGInstance): this;
    id(): string | null;
    id(id: string): this;
    get innerHTML(): string;
    get outerHTML(): string;
    empty(): this;
    addClass(className: string): this;
    addClass(classNames: Array<string>): this;
    removeClass(className: string): this;
    removeClass(classNames: Array<string>): this;
    hasClass(className: string): boolean;
    attr(): {
        [key: string]: string | number;
    };
    attr(attributeObject: {
        [key: string]: string | number;
    }): this;
    attr(attributeName: string): string | number | null;
    attr(attributeName: Array<string>): {
        [key: string]: string | number;
    };
    attr(attributeName: string, value: string | number): this;
    attr(attributeName: string, value?: string | number): string | null | this;
    removeAttr(attributeName: string): this;
}
