import { SVGInstance } from "../../browser/instance/SVGInstance.js";
import { ShapeInstances } from "../mixins/permitted-content/shapeInstances.js";
import { StructuralInstances } from "../mixins/permitted-content/structuralInstances.js";
import { DescriptiveInstances } from "../mixins/permitted-content/descriptiveInstances.js";
import { SVGGroupInstance } from "./SVGGroupInstance.js";
import { Color } from "../mixins/presentation-attributes/color.js";
import { Display } from "../mixins/presentation-attributes/display.js";
import { Fill } from "../mixins/presentation-attributes/fill.js";
import { Opacity } from "../mixins/presentation-attributes/opacity.js";
import { Stroke } from "../mixins/presentation-attributes/stroke.js";
import { VectorEffect } from "../mixins/presentation-attributes/vectorEffect.js";
import { Visibility } from "../mixins/presentation-attributes/visibility.js";
import { PreserveAspectRatio } from "../mixins/attributes/preserveAspectRatio.js";
import { XYPositioning } from "../mixins/attributes/xyPositioning.js";
import { WidthHeight } from "../mixins/attributes/widthHeight.js";
export declare class SVGSVGInstance extends SVGInstance {
    constructor();
    constructor(_parent?: SVGInstance);
    constructor(width: string | number, height: string | number, _parent?: SVGInstance);
    addGroup(): SVGGroupInstance;
    addSVG(): SVGSVGInstance;
    addSVG(width: string | number, height: string | number): SVGSVGInstance;
    viewBox(): {
        x: string | number;
        y: string | number;
        width: string | number;
        height: string | number;
    } | null;
    viewBox(x: string | number, y: string | number, width: string | number, height: string | number): this;
}
export interface SVGSVGInstance extends SVGInstance, ShapeInstances, StructuralInstances, DescriptiveInstances, Color, Display, Fill, Opacity, Stroke, VectorEffect, Visibility, PreserveAspectRatio, XYPositioning, WidthHeight {
}
