"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGDefsInstance = void 0;
const SVGInstance_js_1 = require("../../node/instance/SVGInstance.js");
//-- Mixins
const index_js_1 = require("../mixins/index.js");
// Permitted content
const shapeInstances_js_1 = require("../mixins/permitted-content/shapeInstances.js");
const structuralInstances_js_1 = require("../mixins/permitted-content/structuralInstances.js");
const gradientInstances_js_1 = require("../mixins/permitted-content/gradientInstances.js");
// Presentation attributes
const color_js_1 = require("../mixins/presentation-attributes/color.js");
const display_js_1 = require("../mixins/presentation-attributes/display.js");
const fill_js_1 = require("../mixins/presentation-attributes/fill.js");
const opacity_js_1 = require("../mixins/presentation-attributes/opacity.js");
const stroke_js_1 = require("../mixins/presentation-attributes/stroke.js");
const vectorEffect_js_1 = require("../mixins/presentation-attributes/vectorEffect.js");
const visibility_js_1 = require("../mixins/presentation-attributes/visibility.js");
//-- Class
class SVGDefsInstance extends SVGInstance_js_1.SVGInstance {
    constructor(_parent) {
        super("defs", _parent);
    }
}
exports.SVGDefsInstance = SVGDefsInstance;
(0, index_js_1.applyMixins)(SVGDefsInstance, [
    shapeInstances_js_1.ShapeInstances,
    structuralInstances_js_1.StructuralInstances,
    gradientInstances_js_1.GradientInstances,
    color_js_1.Color,
    display_js_1.Display,
    fill_js_1.Fill,
    opacity_js_1.Opacity,
    stroke_js_1.Stroke,
    vectorEffect_js_1.VectorEffect,
    visibility_js_1.Visibility
]);
//# sourceMappingURL=SVGDefsInstance.js.map