"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGRectInstance = void 0;
const SVGInstance_js_1 = require("../../node/instance/SVGInstance.js");
//-- Mixins
const index_js_1 = require("../mixins/index.js");
// Presentation attributes
const color_js_1 = require("../mixins/presentation-attributes/color.js");
const display_js_1 = require("../mixins/presentation-attributes/display.js");
const fill_js_1 = require("../mixins/presentation-attributes/fill.js");
const opacity_js_1 = require("../mixins/presentation-attributes/opacity.js");
const stroke_js_1 = require("../mixins/presentation-attributes/stroke.js");
const vectorEffect_js_1 = require("../mixins/presentation-attributes/vectorEffect.js");
const visibility_js_1 = require("../mixins/presentation-attributes/visibility.js");
// Attributes
const xyPositioning_js_1 = require("../mixins/attributes/xyPositioning.js");
const widthHeight_js_1 = require("../mixins/attributes/widthHeight.js");
//-- Class
class SVGRectInstance extends SVGInstance_js_1.SVGInstance {
    constructor(_parent) {
        super("rect", _parent);
    }
    borderRadius(radius) {
        if (typeof radius === "string" || typeof radius === "number") {
            this.attr("rx", radius);
            this.attr("ry", radius);
            return this;
        }
        return this.attr("rx");
    }
}
exports.SVGRectInstance = SVGRectInstance;
(0, index_js_1.applyMixins)(SVGRectInstance, [
    color_js_1.Color,
    display_js_1.Display,
    fill_js_1.Fill,
    opacity_js_1.Opacity,
    stroke_js_1.Stroke,
    vectorEffect_js_1.VectorEffect,
    visibility_js_1.Visibility,
    xyPositioning_js_1.XYPositioning,
    widthHeight_js_1.WidthHeight
]);
//# sourceMappingURL=SVGRectInstance.js.map