export default class NamedNodeMap extends Object {
    constructor() {
        super();
    }
    setNamedItem(name, value) {
        for (const key in this) {
            if (this[key].name === name) {
                this[key].value = value;
                return null;
            }
        }
        this[Object.keys(this).length] = {
            name: name,
            value: value
        };
    }
    getNamedItem(name) {
        for (const key in this) {
            if (this[key].name === name) {
                return this[key];
            }
        }
        return null;
    }
    removeNamedItem(name) {
        for (const key in this) {
            if (this[key].name === name) {
                delete this[key];
                return null;
            }
        }
        return null;
    }
}
//# sourceMappingURL=namedNodeMap.js.map