export declare enum NodeType {
    ELEMENT_NODE = 1,
    TEXT_NODE = 3,
    CDATA_SECTION_NODE = 4,
    COMMENT_NODE = 8,
    DOCUMENT_NODE = 9,
    DOCUMENT_TYPE_NODE = 10,
    DOCUMENT_FRAGMENT_NODE = 11
}
export declare class Node {
    readonly nodeType: NodeType;
    childNodes: Array<Node>;
    private _nodeValue;
    private _parentNode;
    constructor(nodeType: NodeType);
    get firstChild(): Node | null;
    get lastChild(): Node | null;
    get nextSibling(): Node | null;
    get previousSibling(): Node | null;
    hasChildNodes(): boolean;
    appendChild<T extends Node>(node: T): T;
    private set __parentNode(value);
    get parentNode(): Node | null;
    set textContent(text: string | null);
    get textContent(): string | null;
    set nodeValue(value: string | null);
    get nodeValue(): string | null;
}
